View Issue Details

IDProjectCategoryView StatusLast Update
0004384SketcherBugpublic2020-09-04 17:03
Reportermartin51 Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Target Version0.19Fixed in Version0.19 
Summary0004384: Formula editor not active window when invoked
DescriptionClicking formula editor button or entering = sign in constraint dialogue brings formula editor to front but window is inactive requiring user to click or highlight existing text before new text can be entered.
Full details and screen grabs available in forum post:

https://forum.freecadweb.org/viewtopic.php?f=3&t=48003#p411156
Steps To Reproduce1. Open Part Design WB
3. Draw sketch
4. Apply constraint to any sketch element
5. Click formula editor or enter = sign in constraint dialogue box
6. Resulting formula editor window is now top window but not active although any previously entered data is highlighted.
7. Text entry requires clicking in window or selecting pre-existing text to activate or over-write.
7. Text typed without clicking in formula editor will be entered in constraint box
Tags0.19, GUI, input, macOS, Part Design, sketcher
FreeCAD InformationOS: macOS 10.15
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.21718 (Git)
Build type: Release
Branch: master
Hash: 002e25b5617f2c79f65968f1f82f7267899965c3
Python version: 3.8.2
Qt version: 5.12.5
Coin version: 4.0.0
OCC version: 7.4.0
Locale: C/Default (C)

Activities

martin51

2020-06-25 17:27

reporter  

FormulaEditor.FCStd (9,886 bytes)

wmayer

2020-07-12 09:30

administrator   ~0014643

https://github.com/FreeCAD/FreeCAD/commit/2ae385fcb2ca45ad7168a7e1c2b78cd18423e2ff

git

2020-07-13 19:24

reporter   ~0014647

Fix committed to master branch.

guest

2020-09-04 17:00

viewer   ~0014726

Fix committed to master branch.

wmayer

2020-09-04 17:03

administrator   ~0014727

For macOS:
https://github.com/FreeCAD/FreeCAD/commit/4cfefb19386cd7241da09e9b9523c57bb4e4cdd6

Related Changesets

FreeCAD: master 2ae385fc

2020-07-11 17:57:13

git

Details Diff
Gui: automatically activate the DlgExpressionInput dialog; fixes 0004384 Affected Issues
0004384
mod - src/Gui/DlgExpressionInput.cpp Diff File

FreeCAD: master 4cfefb19

2020-07-15 09:38:16

zaphodbe


Committer: wwmayer Details Diff
Gui: automatically activate the DlgExpressionInput dialog; fixes 0004384 Affected Issues
0004384
mod - src/Gui/DlgExpressionInput.cpp Diff File
mod - src/Gui/DlgExpressionInput.h Diff File

Issue History

Date Modified Username Field Change
2020-06-25 17:27 martin51 New Issue
2020-06-25 17:27 martin51 Tag Attached: 0.19
2020-06-25 17:27 martin51 Tag Attached: GUI
2020-06-25 17:27 martin51 Tag Attached: input
2020-06-25 17:27 martin51 Tag Attached: MacOSX
2020-06-25 17:27 martin51 Tag Attached: Part Design
2020-06-25 17:27 martin51 Tag Attached: sketcher
2020-06-25 17:27 martin51 File Added: FormulaEditor.FCStd
2020-06-25 17:27 martin51 File Added: Screen Shot 2020-06-24 at 11.06.10 PM.png
2020-06-25 17:27 martin51 File Added: Screen Shot 2020-06-24 at 11.05.17 PM.png
2020-06-26 17:03 Kunda1 Status new => confirmed
2020-06-26 17:03 Kunda1 Target Version => 0.19
2020-07-12 09:30 wmayer Assigned To => wmayer
2020-07-12 09:30 wmayer Status confirmed => closed
2020-07-12 09:30 wmayer Resolution open => fixed
2020-07-12 09:30 wmayer Fixed in Version => 0.19
2020-07-12 09:30 wmayer Note Added: 0014643
2020-07-13 19:24 git Changeset attached => FreeCAD master 2ae385fc
2020-07-13 19:24 git Note Added: 0014647
2020-09-04 17:00 zaphodbe Changeset attached => FreeCAD master 4cfefb19
2020-09-04 17:00 guest Note Added: 0014726
2020-09-04 17:03 wmayer Note Added: 0014727
2020-11-13 14:08 Kunda1 Tag Renamed MacOSX => macOS